Package org.apache.jasper.tagplugins.jstl.core

## Class Out

- java.lang.Object
- - org.apache.jasper.tagplugins.jstl.core.Out

All Implemented Interfaces:
  `TagPlugin`

    public final class Out
    extends Object
    implements TagPlugin

### Constructor Summary

Constructors
`Out()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `doTag​(TagPluginContext ctxt)` Generate codes for a custom tag.
`static boolean` `output​(JspWriter out, Object input, String value, String defaultValue, boolean escapeXml)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Out

    public Out()

### Method Detail

#### doTag

    public void doTag​(TagPluginContext ctxt)

Description copied from interface: `TagPlugin`
Generate codes for a custom tag.

Specified by:
  `doTag` in interface `TagPlugin`
Parameters:
  `ctxt` - a TagPluginContext for accessing Jasper functions

#### output

    public static boolean output​(JspWriter out,
                                 Object input,
                                 String value,
                                 String defaultValue,
                                 boolean escapeXml)
                          throws IOException

Throws:
  `IOException`